## org.springframework.transaction
Class UnexpectedRollbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.transaction.TransactionException
                          org.springframework.transaction.UnexpectedRollbackException

All Implemented Interfaces:
  Serializable

    public class UnexpectedRollbackException

extends TransactionException

Thrown when an attempt to commit a transaction resulted in an unexpected rollback.

Since:
  17.03.2003
Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`UnexpectedRollbackException(String msg)` Constructor for UnexpectedRollbackException.
`UnexpectedRollbackException(String msg, Throwable cause)` Constructor for UnexpectedRollbackException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedRollbackException

    public UnexpectedRollbackException(String msg)

  Constructor for UnexpectedRollbackException.

  Parameters:
    `msg` - the detail message

### UnexpectedRollbackException

    public UnexpectedRollbackException(String msg,
                                       Throwable cause)

  Constructor for UnexpectedRollbackException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the transaction API in use